Associate Organization

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/organization
API call form
Examples

Each user belongs to precisely 1 organization (company or association). Billing plans and invoices are managed on the organization-level. Several things are restricted within an organization. For example a user can't list users from another organization and dashboards/datasets are by default not accessible to other users. However, in case it is necessary to share securables cross organization, securables can be associated directly to a user or group.

Organizations their main connections are users and plugins. Besides of that you can also associate a default locale and a country to an organization and a thumbnail (logo of the organization) can be set.

Associating an organization with a country simply gives us the information we need about your company. The association between country and organization serves as a default for the users of your organization which can be overridden by associating a country to a user directly.

Use the defaultLocale role to set the language dashboards open in for users who have no locale of their own. Use the defaultAppLocale role to set the default language of the Luzmo app interface.

By default, when you make a plugin via the API, the plugin is only associated to the user that created it. By associating the plugin to the organization you make it available to all users in the organization. Associating a plugin to an organization can be done by each organization member.

It is possible to associate your organization to a thumbnail to change the Logo.

Creating a user with an organization owner's API token implicitly adds that user to the organization. To update the organization role flags of an existing user in your main organization, associate the Users role with an organization owner key-token pair and set the desired flags in the association properties.

Request parametersResponse schema
Expand all Reset
id *UUIDrequired

The unique identifier of the entity

resource *OBJECTrequired
role *STRINGrequired
id *UUIDrequired
Can be executed by:
Entity Owner
&
Logged-in User
(For: Country)
Entity Owner
&
Logged-in User
(For: Locale)
Entity Owner
&
Plugin Owner
(For: Plugin)
Entity Owner
&
Logged-in User
(For: Thumbnail)
Entity Owner
&
Logged-in User
(For: User)
Can be associated to:
Country
Locale
Theme
Plan
Timezone
Plugin
Thumbnail
Channel
User
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "code": 200
}